<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myReturLabel" jhiTranslate="mpmApp.retur.home.createOrEditLabel">Create or edit a Retur</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!retur.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="retur.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.idretur" for="field_idretur">Idretur</label>
            <input type="number" class="form-control" name="idretur" id="field_idretur"
                [(ngModel)]="retur.idretur"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.noretur" for="field_noretur">Noretur</label>
            <input type="text" class="form-control" name="noretur" id="field_noretur"
                [(ngModel)]="retur.noretur"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.dtcreated" for="field_dtcreated">Dtcreated</label>
            <div class="d-flex">
                <input id="field_dtcreated" type="datetime-local" class="form-control" name="dtcreated" [(ngModel)]="retur.dtcreated"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.createdby" for="field_createdby">Createdby</label>
            <input type="text" class="form-control" name="createdby" id="field_createdby"
                [(ngModel)]="retur.createdby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.dtmodified" for="field_dtmodified">Dtmodified</label>
            <div class="d-flex">
                <input id="field_dtmodified" type="datetime-local" class="form-control" name="dtmodified" [(ngModel)]="retur.dtmodified"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.modifiedby" for="field_modifiedby">Modifiedby</label>
            <input type="text" class="form-control" name="modifiedby" id="field_modifiedby"
                [(ngModel)]="retur.modifiedby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.nobbk" for="field_nobbk">Nobbk</label>
            <input type="text" class="form-control" name="nobbk" id="field_nobbk"
                [(ngModel)]="retur.nobbk"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.tglbbk" for="field_tglbbk">Tglbbk</label>
            <div class="d-flex">
                <input id="field_tglbbk" type="datetime-local" class="form-control" name="tglbbk" [(ngModel)]="retur.tglbbk"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.suppcode" for="field_suppcode">Suppcode</label>
            <input type="text" class="form-control" name="suppcode" id="field_suppcode"
                [(ngModel)]="retur.suppcode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.total" for="field_total">Total</label>
            <input type="number" class="form-control" name="total" id="field_total"
                [(ngModel)]="retur.total"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.disc" for="field_disc">Disc</label>
            <input type="number" class="form-control" name="disc" id="field_disc"
                [(ngModel)]="retur.disc"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.ppn" for="field_ppn">Ppn</label>
            <input type="number" class="form-control" name="ppn" id="field_ppn"
                [(ngModel)]="retur.ppn"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.retur.grandtot" for="field_grandtot">grandtot</label>
            <input type="number" class="form-control" name="grandtot" id="field_grandtot"
                [(ngModel)]="retur.grandtot"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
